import * as Mongoose from "mongoose";
import mongoose from "mongoose";
import {IContainer} from "./IContainer";

export const ContainerSchema = new Mongoose.Schema<IContainer>({
    slot: {type: Number},
    volume: {type: Number, required: true, default: 1000},
    sensorEcho: Number,
    sensorTrigger: Number,
    content: {type: mongoose.Types.ObjectId},
    sensorFilledMax: Number,
    sensorFilledMin: Number,
    filled: Number,
});

const Container = mongoose.model<IContainer>('Container', ContainerSchema);
export default Container;

