import {WebWebSocketHandler} from "./WebWebSocketHandler";
import {Modal} from "./Modal";

const main = document.getElementById("main");
const time = document.getElementById("title");

document.addEventListener("DOMContentLoaded", () => {
   console.log("DOM Loaded");

   let modal = new Modal("start", "iTender");
   modal.content = "Willkommen";
   modal.loader = true;
   //modal.open();
   connect();

   setTimeout( load, 1000);
});


function load()
{
   if(!main||!time)
      return;

   setInterval( () => {
      let currentDate = new Date();
      time.innerText = "" + ( currentDate.getHours() < 10 ? "0" + currentDate.getHours() : currentDate.getHours() ) + ":" + ( currentDate.getMinutes() < 10 ? "0" + currentDate.getMinutes() : currentDate.getMinutes() );
   }, 1000 );
}

let wsHandler;
function connect()
{
   wsHandler = new WebWebSocketHandler();
}
